org.apache.commons.compress.archivers.zip

## Class X0014_X509Certificates

- java.lang.Object
- - org.apache.commons.compress.archivers.zip.PKWareExtraHeader
  - - org.apache.commons.compress.archivers.zip.X0014_X509Certificates

- All Implemented Interfaces:
    ZipExtraField

      public class X0014_X509Certificates
      extends PKWareExtraHeader

  PKCS#7 Store for X.509 Certificates (0x0014).

  This field MUST contain information about each of the certificates files may be signed with. When the Central Directory Encryption feature is enabled for a ZIP file, this record will appear in the Archive Extra Data Record, otherwise it will appear in the first central directory record and will be ignored in any other record.

  Note: all fields stored in Intel low-byte/high-byte order.

               Value     Size     Description
               -----     ----     -----------
       (Store) 0x0014    2 bytes  Tag for this "extra" block type
               TSize     2 bytes  Size of the store data
               TData     TSize    Data about the store

  Since:
    1.11
  This class is not thread-safe

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.compress.archivers.zip.PKWareExtraHeader

      `PKWareExtraHeader.EncryptionAlgorithm, PKWareExtraHeader.HashAlgorithm`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.commons.compress.archivers.zip.ZipExtraField

      `EXTRAFIELD_HEADER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `X0014_X509Certificates()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.compress.archivers.zip.PKWareExtraHeader

      `assertMinimalLength, getCentralDirectoryData, getCentralDirectoryLength, getHeaderId, getLocalFileDataData, getLocalFileDataLength, parseFromCentralDirectoryData, parseFromLocalFileData, setCentralDirectoryData, setLocalFileDataData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X0014_X509Certificates

          public X0014_X509Certificates()

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.